package sgc.portal.cd.cd0304.persistence;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.cd.cd0301.model.CD03010001P;
import sgc.portal.cd.cd0304.dto.CD03040001PSearch;
import sgc.portal.cd.cd0304.model.CD03040001P;

@Mapper
public interface CD03040001PMapper {

	CD03040001P selectConWkiConf(CD03040001PSearch search);
	
	String selectWkiSeq();
	
	void saveConWkiConf(CD03040001P cD03040001P);
	
	void requestConWkiConf(CD03040001P cD03040001P);

	/**
	 * SM_COM_APRV.APRV_STUS_CD의 결재상태 조회
	 * @param cD03010001P
	 * @return
	 */
	String selectAprvStusCd(CD03010001P cD03010001P);
	
	void approval(CD03010001P cD03010001P);
	
	void coApprove(CD03010001P cD03010001P);

}